/*
  Copyright (c) 1998 Helsinki University of Technology.
  All rights reserved.

  Redistribution and use in source and binary forms are permitted
  provided that the above copyright notice and this paragraph are
  duplicated in all such forms and that any documentation,
  advertising materials, and other materials related to such
  distribution and use acknowledge that the software was developed
  by Helsinki University of Technology, Espoo.  The name of the
  University may not be used to endorse or promote products derived
  from this software without specific prior written permission.
  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
  Copyright (c) 1998 Pekka Nikander & Juha Parssinen
  All rights reserved.
  XXX   %Z%%M% version %I% date:%G%
  Module:  NotifyOob
  Package: conduits
  File:    NotifyOob.java
*/
package fi.hut.tcm.jacob.conduits;
/**
   NotifyOob
   
   
*/
public final class NotifyOob
  extends Object
  implements OutOfBand {

  /**
  */
  private Message request;
  
  /**
   */
  private int statusCode;
  

  /**
  */
  public NotifyOob(Message message,
		   int code)
    {
      //+ NotifyOob::NotifyOob(Message, code)
      request = message;
      statusCode = code;
      //- NotifyOob::NotifyOob(Message, code)
    }
  

  /**
  */
  public Message getMessage()
    {
      //+ NotifyOob::getMessage( )
      return request;
      //- NotifyOob::getMessage( )
    }
  
  
  /**
  */
  public void setMessage(Message message)
    {
      //+ NotifyOob::setMessage(Message)
      request = message;
      //- NotifyOob::setMessage(Message)
    }
  
  
  /**
  */
  public int getStatusCode()
    {
      //+ NotifyOob::getStatusCode( )
      return statusCode;
      //- NotifyOob::getStatusCode( )
    }

    
  /**
  */
  public void setStatusCode(int statusCode)
    {
      //+ NotifyOob::setStatusCode(int)
      this.statusCode = statusCode;
      //- NotifyOob::setStatusCode(int)
    }

    
} // NotifyOob
