/*
  Copyright (c) 1998 Helsinki University of Technology.
  All rights reserved.

  Redistribution and use in source and binary forms are permitted
  provided that the above copyright notice and this paragraph are
  duplicated in all such forms and that any documentation,
  advertising materials, and other materials related to such
  distribution and use acknowledge that the software was developed
  by Helsinki University of Technology, Espoo.  The name of the
  University may not be used to endorse or promote products derived
  from this software without specific prior written permission.
  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
  Copyright (c) 1998 Pekka Nikander & Juha Parssinen
  All rights reserved.
  XXX   %Z%%M% version %I% date:%G%
  Module:  MessageTranspFactory
  Package: conduits
  File:    MessageTranspFactory.java
*/
package fi.hut.tcm.jacob.conduits;
import fi.hut.tcm.jacob.utility.RecyclingFactory;
/**
  MessageTranspFactory
  
  
*/
final class MessageTranspFactory
  extends RecyclingFactory {

  /**
  */
  protected static final MessageTranspFactory instance = new MessageTranspFactory();
  
  /**
  */
  private MessageTranspFactory() {
  
    //+ MessageTranspFactory::MessageTranspFactory( )
    super();
    //- MessageTranspFactory::MessageTranspFactory( )
  }
  
  
  /**
  */
  protected Object createObject() {
  
    //+ MessageTranspFactory::createObject( )
    return new MessageTransporter();
    //- MessageTranspFactory::createObject( )
  }
  
  
} // MessageTranspFactory


// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
