/*
  Copyright (c) 1998 Helsinki University of Technology.
  All rights reserved.

  Redistribution and use in source and binary forms are permitted
  provided that the above copyright notice and this paragraph are
  duplicated in all such forms and that any documentation,
  advertising materials, and other materials related to such
  distribution and use acknowledge that the software was developed
  by Helsinki University of Technology, Espoo.  The name of the
  University may not be used to endorse or promote products derived
  from this software without specific prior written permission.
  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
  Copyright (c) 1998 Pekka Nikander & Juha Parssinen
  All rights reserved.
  XXX   %Z%%M% version %I% date:%G%
  Module:  TimeoutFactory
  Package: conduits
  File:    TimeoutFactory.java
*/
package fi.hut.tcm.jacob.conduits;
import fi.hut.tcm.jacob.utility.RecyclingFactory;
/**
  TimeoutFactory
  
  
*/
final class TimeoutFactory
  extends RecyclingFactory {

  /**
  */
  public static final TimeoutFactory instance = new TimeoutFactory();
  
  /**
  */
  private TimeoutFactory() {
  
    //+ TimeoutFactory::TimeoutFactory( )
    super();
    //- TimeoutFactory::TimeoutFactory( )
  }
  
  
  /**
  */
  protected Object createObject() {
  
    //+ TimeoutFactory::createObject( )
    return new Timeout();
    //- TimeoutFactory::createObject( )
  }
  
  
} // TimeoutFactory


// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
