/*
  Copyright (c) 1998 Helsinki University of Technology.
  All rights reserved.

  Redistribution and use in source and binary forms are permitted
  provided that the above copyright notice and this paragraph are
  duplicated in all such forms and that any documentation,
  advertising materials, and other materials related to such
  distribution and use acknowledge that the software was developed
  by Helsinki University of Technology, Espoo.  The name of the
  University may not be used to endorse or promote products derived
  from this software without specific prior written permission.
  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
  Copyright (C) 1998 XYZ Corporation. All rights Reserved.
  XXX   %Z%%M% version %I% date:%G%
  Component:  UninstallOob
  Package: conduits
  File:    UninstallOob.java
*/

package fi.hut.tcm.jacob.conduits;

/**
  UninstallOob
  
  
*/
public class UninstallOob
  extends Object
  implements OutOfBand {

  /**
  */
  private Conduit conduit;
  
  /* ****************** Oob ************************/
  
  /**
    A Message may carry OutOfBand data. This association
    allows one to access the OOB information
  */

  /* ***************End of Oob *********************/
  
  /**
  */
  public UninstallOob(Conduit conduit) {
  
  //+ UninstallOob::UninstallOob(Conduit)
      this.conduit = conduit;
  //- UninstallOob::UninstallOob(Conduit)
  }
  
  /**
  */
  public void setConduit(Conduit conduit) {
  
  //+ UninstallOob::setConduit(Conduit)
      this.conduit = conduit;
  //- UninstallOob::setConduit(Conduit)
  }
  
  /**
  */
  public Conduit getConduit() {
  
  //+ UninstallOob::getConduit( )
      return this.conduit;
  //- UninstallOob::getConduit( )
  }
  
} // UninstallOob

// +*************** UNUSED CODE ***************
// -*************** UNUSED CODE ***************
